/*!
 * UI development toolkit for HTML5 (OpenUI5)
 * (c) Copyright 2009-2016 SAP SE or an SAP affiliate company.
 * Licensed under the Apache License, Version 2.0 - see LICENSE.txt.
 */
sap.ui.define(['jquery.sap.global','./library','sap/ui/core/Control','sap/ui/core/Popup'],function(q,l,C,P){"use strict";var M=C.extend("sap.ui.commons.MessageList",{metadata:{deprecated:true,library:"sap.ui.commons",properties:{visible:{type:"boolean",group:"Behavior",defaultValue:false},anchorId:{type:"string",group:"Appearance",defaultValue:null},maxListed:{type:"string",group:"Misc",defaultValue:'7'}}}});M.prototype.init=function(){this.aMessages=[];this.iItemHeight=0;this.oPopup=new P(this,false,true,false);};M.prototype.exit=function(){this.close();this.oPopup.destroy();this.oPopup=null;};M.prototype.onThemeChanged=function(){this.iItemHeight=0;};M.prototype.onAfterRendering=function(){var L=this.getDomRef();var j=q(L);var m=this.getMaxListed();var a=this.aMessages.length;if(a<=m){j.height("auto");return;}if(this.iItemHeight==0){var i=L.firstChild;var I=q(i);this.iItemHeight=I.height();}L.style.overflowY="scroll";L.style.overflowX="hidden";var d=(m*this.iItemHeight)+"px";j.height(d);};M.prototype.open=function(){var r=sap.ui.getCore().getConfiguration().getRTL();var a=200;var m=r?P.Dock.RightTop:P.Dock.LeftTop;var b=r?P.Dock.RightBottom:P.Dock.LeftBottom;var c="0 0";var d=null;var e=this.getAnchorId();if(e){d=q.sap.domById(e);}if(!d){d=document.body;}this.oPopup.open(a,m,b,d,c);};M.prototype.close=function(){var a=200;this.oPopup.close(a);};M.prototype.setMessages=function(m){this.aMessages=m;if(this.getVisible()){sap.ui.getCore().getRenderManager().render(this,sap.ui.getCore().getStaticAreaRef(),true);}return this;};M.prototype.setVisible=function(v){this.setProperty("visible",v);if(v){sap.ui.getCore().getRenderManager().render(this,sap.ui.getCore().getStaticAreaRef(),true);this.open();}else{this.close();}return this;};return M;},true);
